<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>timesheet</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="timeoff.nikureport.html">timeoff (nikureport)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="timesheetreport.html">timesheetreport</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">timesheet</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>A time sheet record can be used to capture the current status of the tasks assigned to a specific resource and the achieved progress for a given period of time. The status is assumed to be for the end of this time period. There must be a separate time sheet record for each resource per period. Different resources can use different reporting periods and reports for the same resource may have different reporting periods as long as they don't overlap. For the time after the last time sheet, TaskJuggler will project the result based on the plan data. For periods without a time sheet record prior to the last record for this resource, TaskJuggler assumes that no work has been done. The work is booked for the scenario specified by <a href="trackingscenario.html">trackingscenario</a>.</p>
        <p>The intended use for time sheets is to have all resources report a time sheet every day, week or month. All time sheets can be added to the project plan. The status information is always used to determin the current status of the project. The <a href="work.html">work</a>, <a href="remaining.html">remaining</a> and <a href="end.timesheet.html">end</a> attributes are ignored if there are also <a href="booking.task.html">bookings</a> for the resource in the time sheet period. The non-ignored attributes of the time sheets will be converted into <a href="booking.task.html">booking</a> statements internally. These bookings can then be <a href="export.html">exported</a> into a file which can then be added to the project again. This way, you can use time sheets to incrementally record progress of your project. There is a possibility that time sheets conflict with other data in the plan. In case TaskJuggler cannot automatically resolve them, these conflicts have to be manually resolved by either changing the plan or the time sheet.</p>
        <p>The status messages are interpreted as <a href="journalentry.html">journal entries</a>. The alert level will be evaluated and the current state of the project can be put into a dashboard using the <code>alert</code> and <code>alertmessage</code> <a href="columnid.html">
columns</a>.</p>
        <p>Currently, the provided effort values and dates are not yet used to automatically update the plan data. This feature will be added in future versions.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>timesheet &lt;resource&gt; &lt;interval4&gt; { &lt;attributes&gt; }</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="2">Arguments</td>
      <td class="descr">resource [<a href="The_TaskJuggler_Syntax.html#ID">ID</a>]</td>
      <td class="descr"><div>The ID of a defined resource</div></td>
     </tr>
     <tr align="left">
      <td class="descr">interval4</td>
      <td class="descr"><div>See <a href="interval4.html">interval4</a> for details.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="properties.html">properties</a></td>
     </tr>
    </table></p>
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Attributes</td>
      <td class="descr" style="width:84%">
       <a href="newtask.html">newtask</a>, <a href="shift.timesheet.html">shift (timesheet)</a>, <a href="status.timesheet.html">status (timesheet)</a>, <a href="task.timesheet.html">task (timesheet)</a>
      </td>
     </tr></table></p>
   <div class="codeframe"><pre class="code">project "test" 2009-11-30 +2m {
  timezone "America/Denver"
  trackingscenario plan
  now ${projectstart}
}
timesheet r1 2009-11-30 +1w {
  task t1 {
    work 3d
    remaining 0d
    status green "All work done" {
      summary "I had good fun!"
      details -8&lt;-
        This task went smoothly and I got three things done:
        * Have fun
        * Be on time
        * Get things done
      -&gt;8-
    }
  }
  newtask t4 "Another fun job" {
    work 2d
    remaining 4d
    status yellow "Had a cool idea" {
      summary "Will have a schedule impact though."
    }
  }
}

timesheet r2 2009-11-30 +1w {
  task t2.t3 {
    work 5d
    end 2009-12-10
    status red "I need more time" {
      summary "This takes longer than expected"
      details -8&lt;-
        To finish on time, I need help. Get this r1 guy to help me out
        here.
        * I want to have fun too!
      -&gt;8-
    }
  }
  status yellow "My wife got ill" {
    summary "I might have to work from home for a few days next week."
  }
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="timeoff.nikureport.html">timeoff (nikureport)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="timesheetreport.html">timesheetreport</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
